%define major     1
%define girmajor  0.1
%define libname   %mklibname appindicator 3 %{major}
%define libdevel  %mklibname appindicator3 -d
%define girname   %mklibname appindicator3-gir %{girmajor}

Name:           libappindicator
Summary:        A library to allow applications to export a menu into the Unity Menu bar
Group:          System/Libraries
Version:        12.10.0
Release:        %mkrel 2.3
License:        GPLv3
URL:            http://launchpad.net/libappindicator
Source0:        http://launchpad.net/libappindicator/12.10/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:         libappindicator-mono-nunit-fix.patch
Patch1:         libappindicator-0.4.92-configure.patch
BuildRequires:  gnome-common
BuildRequires:  gtk-doc
BuildRequires:  gtk-doc-mkpdf
BuildRequires:  intltool
BuildRequires:  perl-XML-SAX
BuildRequires:  vala-tools
BuildRequires:  vala-devel
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(dbusmenu-gtk3-0.4) >= 0.5.90
BuildRequires:  pkgconfig(gapi-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gnome-doc-utils)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtk-sharp-2.0)
BuildRequires:  pkgconfig(indicate-0.6)
BuildRequires:  pkgconfig(indicator3-0.4) >= 0.4.93
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(mono)
BuildRequires:  pkgconfig(mono-nunit)
BuildRequires:  pkgconfig(pygobject-2.0)
BuildRequires:  pkgconfig(pygtk-2.0)

%description
A library to allow applications to export a menu into the Unity Menu bar.
Based on KSNI, it also works in KDE, and will fallback to generic Systray
support, if none of those are available.

#--------------------------------------------------------------------
%package -n %{libname}
Summary:        libappindicator library
Group:          System/Libraries
Obsoletes:      %{_lib}appindicator1 < 12.10.0-2.2

%description -n %{libname}
Library for libappindicator.

%files -n %{libname}
%{_libdir}/libappindicator3.so.%{major}
%{_libdir}/libappindicator3.so.%{major}.*
%{_libdir}/cli/appindicator-sharp-0.1/

#--------------------------------------------------------------------
%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}3
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Conflicts:      %{_lib}appindicator1 < 12.10.0-2.2

%description -n %{girname}
GObject Introspection interface description for %{name}3.

%files -n %{girname}
%{_libdir}/girepository-1.0/AppIndicator3-%{girmajor}.typelib

#--------------------------------------------------------------------
%package -n %{name}-sharp
Summary:        libappindicator tool
Group:          System/Libraries

%description -n %{name}-sharp
Tool to load libappindicator plugins.

%files -n %{name}-sharp
%{_usr}/lib/mono/appindicator-sharp/
%{_usr}/lib/mono/gac/appindicator-sharp/
%{_usr}/lib/mono/gac/policy.0.0.appindicator-sharp/

#--------------------------------------------------------------------
%package -n %{libdevel}
Summary:        libappindicator development files
Group:          Development/GNOME and GTK+
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{_lib}appindicator-devel < 12.10.0-2.2

%description -n %{libdevel}
Development files needed by libappindicator.

%files -n %{libdevel}
%doc %{_datadir}/gtk-doc/html/libappindicator/
%{_includedir}/libappindicator3-0.1/
%{_libdir}/libappindicator3.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/AppIndicator3-0.1.gir
%{_datadir}/vala/vapi/appindicator3-0.1.*

#--------------------------------------------------------------------
%prep
%setup -q
%apply_patches

%build
autoreconf -vfi
%configure2_5x \
        --with-gtk=3 \
        --enable-gtk-doc \
        --disable-static
# Parallel make, crash the build
make

%install
%makeinstall_std

# Clean .la files
find %{buildroot} -name '*.la' -delete


%changelog
* Thu Aug 08 2013 david.david (MLO Team) <david.david> 12.10.0-2.3.mga3
+ Rebuild package for Mageia 3 (Core)

	+ wally <wally>
	  + Revision: 464530
	  - fix gir pkg requires
	  
* Wed Jul 10 2013 david.david (MLO Team) <david.david> 12.10.0-2.2.mga3
+ Rebuild package for Mageia 3 (Core)

	+ wally <wally>
	  + Revision: 449694
	  - fix pkg names
	  - split out gir typelibs
	  - clean .spec a bit

* Thu Jun 06 2013 david.david (MLO Team) <david.david> 12.10.0-2.1.mga3
+ Rebuild package for Mageia 3 (Core)

	+ dams <dams>
	  + Revision: 437374
	  - now build with gtk3

	+ fwang <fwang>
	  + Revision: 434905
	  - rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 12.10.0-2.mga3
+ Revision: 356809
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 09 2012 shlomif <shlomif> 12.10.0-1.mga3
+ Revision: 280137
- New version 12.10.0

* Sat Jun 16 2012 shlomif <shlomif> 0.4.92-2.mga3
+ Revision: 261022
- Add missing BuildRequires. Thanks to simplew
- Add missing BuildRequires. Thanks to simplew
- Add a missing BuildRequires. Thanks to simplew
- Convert "%%make" to "make" to fix the build.
- imported package libappindicator


* Sun Mar 18 2012 Simple <simplew8@gmail.com> 0.4.93-2
- fix license
- its needed to run autoreconf to detect dependencies properly
- gtk-doc is needed
- do not own dirs that belong to another package

* Sun Mar 18 2012 Simple <simplew8@gmail.com> 0.4.93-1
- first package
